Loading...
Searching...
No Matches
openvdb::v10_0::math::internal Namespace Reference

## Classes

class | half

## Functions

OPENVDB_API std::ostream & | operator<< (std::ostream &os, half h)
OPENVDB_API std::istream & | operator>> (std::istream &is, half &h)
OPENVDB_API void | printBits (std::ostream &os, half h)
OPENVDB_API void | printBits (std::ostream &os, float f)
OPENVDB_API void | printBits (char c[19], half h)
OPENVDB_API void | printBits (char c[35], float f)

## Function Documentation

## operator<<()

OPENVDB_API std::ostream & operator<< | ( | std::ostream & | os,
|  | half | h )

## operator>>()

OPENVDB_API std::istream & operator>> | ( | std::istream & | is,
|  | half & | h )

## printBits() [1/4]

OPENVDB_API void printBits | ( | char | c[19],
|  | half | h )

## printBits() [2/4]

OPENVDB_API void printBits | ( | char | c[35],
|  | float | f )

## printBits() [3/4]

OPENVDB_API void printBits | ( | std::ostream & | os,
|  | float | f )

## printBits() [4/4]

OPENVDB_API void printBits | ( | std::ostream & | os,
|  | half | h )